Promsvyazbank on-line


Technical support

FAQ.

To work in the PSB On-Line system you will need to install Java SE Runtime Environment (JRE) of at least 1.7.0_75 version if you have Java 7 and of at least 1.8.0_31 version if you have Java 8. System requirements for Java.

You can use the Setup Wizard to configure your PC to work with the PSB On-Line system. It will help you prepare your computer and install software necessary to work in the system in your favorite browser.

We recommend Java version 1.8 update 31 and higher.
Java installation manual
Java update manual

Be careful:
1) To work on Java 7 you need to set the use of TLS 1.1 protocol
2) Java 7 will not support USB key in Windows 64-bit version.
3) Especially if you are using Mozilla FireFox.
4) Special aspects of using Google Chrome.

To work with the USB Key you will need to do the following:

For MS Windows family
(Windows Vista SP2 (32/64-bit); Windows Server 2008 (32/64-bit); Windows 7 (32/64-bit); Windows Server 2008 R2; Windows 10 (32/64-bit))
To work in WinXP you should: